Skip to main content
GET
/
products
/
search
/
v1
Search products
curl --request GET \
  --url https://api.collectpure.com/products/search/v1 \
  --header 'x-api-key: <api-key>'
{
  "data": {
    "products": [
      {
        "id": "<string>",
        "title": "<string>",
        "description": "<string>",
        "sku": "<string>",
        "category": "<string>",
        "subCategory": "<string>",
        "material": "<string>",
        "manufacturer": "<string>",
        "weight": "<string>",
        "weightGrams": 123,
        "purity": "<string>",
        "premiumCalculationType": "<string>",
        "viewCount": 123,
        "certificateProvider": "<string>",
        "attributes": [
          123
        ],
        "images": [
          "<string>"
        ],
        "variants": [
          {
            "id": "<string>",
            "title": "<string>",
            "description": "<string>",
            "sortKey": 123
          }
        ],
        "listing": {
          "id": "<string>",
          "price": 123,
          "spotPremium": 123,
          "spotPremiumDollar": 123,
          "expiresAt": "<string>"
        },
        "offer": {
          "id": "<string>",
          "price": 123,
          "spotPremium": 123,
          "spotPremiumDollar": 123,
          "expiresAt": "<string>"
        },
        "flags": {
          "isStockedByBbStore": true,
          "isCertified": true,
          "isEsg": true,
          "isIra": true,
          "isNumismatic": true,
          "hasListing": true,
          "hasOffer": true
        },
        "createdAt": "<string>",
        "updatedAt": "<string>"
      }
    ],
    "total": 123,
    "facets": [
      {
        "field": "<string>",
        "counts": [
          {
            "value": "<string>",
            "count": 123
          }
        ],
        "stats": {
          "min": 123,
          "max": 123,
          "sum": 123,
          "avg": 123,
          "totalValues": 123
        }
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.collectpure.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key for authentication

Query Parameters

query
string

Search query. Omit or pass '*' to browse all products.

limit
integer
default:10

Maximum number of products to return (default 10, max 250)

Required range: 1 <= x <= 250
offset
integer
default:0

Number of products to skip for pagination

Required range: 0 <= x <= 9007199254740991
filter_by
string

Typesense filter expression (e.g. 'material:=Gold && has_listing:=true')

Response

200 - application/json

Default Response

data
object
required